@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    font-family: 'Noto sans', sans-serif;
    background-color: rgb(235, 245, 255);
    color: rgb(145, 145, 145);
}

.container-fluid {
    margin: 0;
}

.container {
    margin: 1rem;
}

ol {
    margin-left: 1rem;
}

ol li {
    margin-bottom: 0.3rem;
}

.text-center {
    text-align: center;
}

.m-1 {
    margin: 1rem;
}

.m-2 {
    margin: 1.5rem;
}

.p-1 {
    padding: 1rem;
}

.p-2 {
    padding: 1.5rem;
}

.d-flex {
    display: flex;
}

.d-flex.flex-row {
    flex-direction: row;
}

.d-flex.flex-column {
    flex-direction: column;
}

.d-flex.justify-content-center {
    justify-content: center;
}

.d-flex.justify-space-between {
    justify-content: space-between;
}

.d-flex.justify-space-around {
    justify-content: space-around;
}

.d-flex.align-items-center {
    align-items: center;
}

h1 {
    font-size: 4rem;
    font-weight: 500;
    letter-spacing: 0.8rem;
}

#wrapper {
    min-height: 100vh;
    width: 100vw;
}

#record-list {
    position: relative;
    min-width: 460px;
}

#clear-button {
    position: absolute;
    top : 0;
    right: 0;
}

.shadow {
    box-shadow: 10px 10px 25px rgb(214, 214, 214);
}

.card {
    padding: 2rem 1rem;
    border-radius: 25px;
    background-color: rgb(255, 255, 255);
}

button {
    border: none;
    cursor: pointer;
}

.btn {
    padding: 1rem;
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
}

.btn ion-icon {
    font-size: 2rem;
    color: rgb(145, 145, 145);
}

@media screen and (max-width: 992px){
    .d-flex.flex-md-row {
        flex-direction: row;
    }

    .d-flex.flex-md-column {
        flex-direction: column;
    }
    
    .d-flex.flex-md-column-reverse {
        flex-direction: column-reverse;
    }
}

@media screen and (max-width: 576px){
    #wrapper {
        width:auto;
        height: auto;
        padding: 2rem;
    }

    #stopwatch {
        width: 90%;
    }

    #record-list {
        min-width: 0;
    }

    .card {
        width: 100%;
    }

    .card h1 {
        font-size: 2rem;
        letter-spacing: 0.2rem;
    }

    .d-flex {
        gap: 1rem;
    }
}